Package org.apache.sysds.runtime.controlprogram.caching

# Class CacheBlockFactory

java.lang.Object
org.apache.sysds.runtime.controlprogram.caching.CacheBlockFactory

public class CacheBlockFactory extends Object
Factory to create instances of matrix/frame blocks given internal codes.

## Constructor Summary

Constructors
Constructor
Description
`CacheBlockFactory()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getCode(CacheBlock<?> block)`
`static ArrayList<?>`
`getPairList(CacheBlock<?> block)`
`static CacheBlock<?>`
`newInstance(int code)`
`static CacheBlock<?>`
`newInstance(CacheBlock<?> block)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheBlockFactory

public CacheBlockFactory()

## Method Details

### newInstance

public static CacheBlock<?> newInstance(int code)

### newInstance

public static CacheBlock<?> newInstance(CacheBlock<?> block)

### getCode

public static int getCode(CacheBlock<?> block)

### getPairList

public static ArrayList<?> getPairList(CacheBlock<?> block)